Smart Proxy - Bug #27654

Expose http(s) port number setting via httpboot plugin
08/19/2019 09:09 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: HTTPBoot
Target version:
Difficulty: Fixed in Releases: 1.24.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/676,
https://github.com/theforeman/smart-pro
xy/pull/677,
https://github.com/theforeman/smart-pro
xy/pull/679
Description

Foreman core needs this to setup boot URL correctly.

Related issues:
Related to Foreman - Bug #26338: HTTP UEFI boot PXE loader use wrong smart pr... Closed

Associated revisions

Revision €344672b - 08/19/2019 02:49 PM - Lukas Zapletal
Fixes #27654 - expose http(s) port setting

Revision f88b53d6 - 08/30/2019 10:09 AM - Ewoud Kohl van Wijngaarden
Refs #27654 - Move HTTP enabled logic to plugin settings

This introduces simple helpers to be used elsewhere. The Plugin Settings
class makes more sense for this since it's specific to a plugin setting.

Revision 79ce65f7 - 08/30/2019 10:09 AM - Ewoud Kohl van Wijngaarden
Refs #27654 - Account for module enabled over http or not

The module can be enabled for http-only while the proxy is https-only

(or other combinations). This patch takes the enabled setting into

account and guarantees that the http_port is only set when the module is
actually available over http. The same goes for https_port.

History

#1 - 08/19/2019 09:09 AM - Lukas Zapletal
- Related to Bug #26338: HTTP UEFI boot PXE loader use wrong smart proxy port added

#2 - 08/19/2019 09:11 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/676 added

#3 - 08/19/2019 02:49 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#4 - 08/19/2019 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
Applied in changeset €344672ba955f1911517f657eadeee34386ff100.

#5 - 08/23/2019 12:40 PM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/677 added

#6 - 08/23/2019 03:43 PM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/679 added
